Loading...
Searching...
No Matches
OVALDIR
OVAL

Interface for Directives model More...

Collaboration diagram for OVALDIR:

## Files

file | oval_directives.h

## Data Structures

struct | oval_directives_model
| This structure holds instance of OVAL Directives. More...
struct | oval_result_directives
| This structure holds instance of either OVAL Default Directives or OVAL Class directives. More...

## Enumerations

enum | oval_result_directive_content_t { OVAL_DIRECTIVE_CONTENT_UNKNOWN = 0 , OVAL_DIRECTIVE_CONTENT_THIN = 1 , OVAL_DIRECTIVE_CONTENT_FULL = 2 }
| Values for the directives controlling the expected content of the results file. More...

## Functions

OSCAP_API struct oval_directives_model * | oval_directives_model::oval_directives_model_new (void)
OSCAP_API void | oval_directives_model::oval_directives_model_free (struct oval_directives_model *)
OSCAP_API int | oval_directives_model::oval_directives_model_import_source (struct oval_directives_model *model, struct oscap_source *source)
| Import the data from oscap_source to the directives model.
OSCAP_API struct oval_generator * | oval_directives_model::oval_directives_model_get_generator (struct oval_directives_model *)
OSCAP_API struct oval_result_directives * | oval_directives_model::oval_directives_model_get_defdirs (struct oval_directives_model *)
OSCAP_API struct oval_result_directives * | oval_directives_model::oval_directives_model_get_classdir (struct oval_directives_model *, oval_definition_class_t)
OSCAP_API struct oval_result_directives * | oval_directives_model::oval_directives_model_get_new_classdir (struct oval_directives_model *, oval_definition_class_t)
OSCAP_API int | oval_directives_model::oval_directives_model_export (struct oval_directives_model *, const char *)
OSCAP_API struct oval_result_directives * | oval_result_directives::oval_result_directives_new (void)
| Create new OVAL Results Directives instance.
OSCAP_API void | oval_result_directives::oval_result_directives_free (struct oval_result_directives *)
OSCAP_API void | oval_result_directives::oval_result_directives_set_reported (struct oval_result_directives *, int flag, bool val)
| Set (or unset) result types that are intended to be reported.
OSCAP_API void | oval_result_directives::oval_result_directives_set_content (struct oval_result_directives *, int flag, oval_result_directive_content_t)
| Configure the depth of infomation.
OSCAP_API void | oval_result_directives::oval_result_directives_set_included (struct oval_result_directives *, bool)
OSCAP_API bool | oval_result_directives::oval_result_directives_get_reported (struct oval_result_directives *, oval_result_t)
OSCAP_API bool | oval_result_directives::oval_result_directives_get_included (struct oval_result_directives *)
OSCAP_API oval_result_directive_content_t | oval_result_directives::oval_result_directives_get_content (struct oval_result_directives *, oval_result_t)

## Detailed Description

Interface for Directives model

## Enumeration Type Documentation

## oval_result_directive_content_t

enum oval_result_directive_content_t

Values for the directives controlling the expected content of the results file.

Enumerator
OVAL_DIRECTIVE_CONTENT_UNKNOWN | Undefined value.
OVAL_DIRECTIVE_CONTENT_THIN | Only the minimal amount of information will be provided.
OVAL_DIRECTIVE_CONTENT_FULL | Very detailed information will be provided allowing in-depth reports to be generated from the results.

## Function Documentation

## oval_result_directives_new()

OSCAP_API struct oval_result_directives * oval_result_directives_new | ( | void |  | ) |

Create new OVAL Results Directives instance.

Directives are setup to report FULL result by default.

## oval_result_directives_set_reported()

OSCAP_API void oval_result_directives_set_reported | ( | struct oval_result_directives * | ,
|  | int | flag,
|  | bool | val )

Set (or unset) result types that are intended to be reported.

Functions does not override previous settings.